

# load data from the web
brand.ratings <- read.csv("http://goo.gl/IQl8nc")

# have a look
head(brand.ratings)
summary(brand.ratings)

# standardize data to perform PCA
brand.sc <- brand.ratings
brand.sc[, 1:9] = apply(brand.ratings[, 1:9], 2, scale)
summary(brand.sc)

# compute and visualize correlation
co <- cor(brand.sc[, 1:9])
round(co, 3)

library(corrplot)                  # install the package if missing!
corrplot(co, order = "hclust")


# perform PCA
?prcomp
brand.pc <- prcomp(brand.sc[, 1:9])
summary(brand.pc)

# check uncorrelation
round(cor(brand.pc$x), 3)

# visualize result
biplot(brand.pc)


# let's move to aggregate data
brand.mean <- aggregate(brand.sc[,1:9], list(brand.sc[,10]), mean)
rownames(brand.mean) = brand.mean[, 1]
brand.mean

# perform PCA on aggregate data
brand.mu.pc <- prcomp(brand.mean[, 2:10], scale = TRUE)
summary(brand.mu.pc)


# visualize result
biplot(brand.mu.pc, main = "Brand positioning")



# e vs c
brand.mean <- aggregate(. ~ brand, data = brand.sc, mean)
brand.mean[3, -1] - brand.mean[5, -1]

